
var Actor_possibleTypes = ['Actor']
module.exports.isActor = function(obj) {
  if (!obj || !obj.__typename) throw new Error('__typename is missing in "isActor"')
  return Actor_possibleTypes.includes(obj.__typename)
}



var ActorAggregateConnection_possibleTypes = ['ActorAggregateConnection']
module.exports.isActorAggregateConnection = function(obj) {
  if (!obj || !obj.__typename) throw new Error('__typename is missing in "isActorAggregateConnection"')
  return ActorAggregateConnection_possibleTypes.includes(obj.__typename)
}



var ActorAggregateResult_possibleTypes = ['ActorAggregateResult']
module.exports.isActorAggregateResult = function(obj) {
  if (!obj || !obj.__typename) throw new Error('__typename is missing in "isActorAggregateResult"')
  return ActorAggregateResult_possibleTypes.includes(obj.__typename)
}



var ActorConnection_possibleTypes = ['ActorConnection']
module.exports.isActorConnection = function(obj) {
  if (!obj || !obj.__typename) throw new Error('__typename is missing in "isActorConnection"')
  return ActorConnection_possibleTypes.includes(obj.__typename)
}



var DataPoint_possibleTypes = ['DataPoint']
module.exports.isDataPoint = function(obj) {
  if (!obj || !obj.__typename) throw new Error('__typename is missing in "isDataPoint"')
  return DataPoint_possibleTypes.includes(obj.__typename)
}



var Movie_possibleTypes = ['Movie']
module.exports.isMovie = function(obj) {
  if (!obj || !obj.__typename) throw new Error('__typename is missing in "isMovie"')
  return Movie_possibleTypes.includes(obj.__typename)
}



var MovieAggregateConnection_possibleTypes = ['MovieAggregateConnection']
module.exports.isMovieAggregateConnection = function(obj) {
  if (!obj || !obj.__typename) throw new Error('__typename is missing in "isMovieAggregateConnection"')
  return MovieAggregateConnection_possibleTypes.includes(obj.__typename)
}



var MovieAggregateResult_possibleTypes = ['MovieAggregateResult']
module.exports.isMovieAggregateResult = function(obj) {
  if (!obj || !obj.__typename) throw new Error('__typename is missing in "isMovieAggregateResult"')
  return MovieAggregateResult_possibleTypes.includes(obj.__typename)
}



var MovieConnection_possibleTypes = ['MovieConnection']
module.exports.isMovieConnection = function(obj) {
  if (!obj || !obj.__typename) throw new Error('__typename is missing in "isMovieConnection"')
  return MovieConnection_possibleTypes.includes(obj.__typename)
}



var Mutation_possibleTypes = ['Mutation']
module.exports.isMutation = function(obj) {
  if (!obj || !obj.__typename) throw new Error('__typename is missing in "isMutation"')
  return Mutation_possibleTypes.includes(obj.__typename)
}



var PageInfo_possibleTypes = ['PageInfo']
module.exports.isPageInfo = function(obj) {
  if (!obj || !obj.__typename) throw new Error('__typename is missing in "isPageInfo"')
  return PageInfo_possibleTypes.includes(obj.__typename)
}



var Query_possibleTypes = ['Query']
module.exports.isQuery = function(obj) {
  if (!obj || !obj.__typename) throw new Error('__typename is missing in "isQuery"')
  return Query_possibleTypes.includes(obj.__typename)
}



var TimeSeries_possibleTypes = ['TimeSeries']
module.exports.isTimeSeries = function(obj) {
  if (!obj || !obj.__typename) throw new Error('__typename is missing in "isTimeSeries"')
  return TimeSeries_possibleTypes.includes(obj.__typename)
}



var _ActorAggregateEdge_possibleTypes = ['_ActorAggregateEdge']
module.exports.is_ActorAggregateEdge = function(obj) {
  if (!obj || !obj.__typename) throw new Error('__typename is missing in "is_ActorAggregateEdge"')
  return _ActorAggregateEdge_possibleTypes.includes(obj.__typename)
}



var _ActorAggregateFieldCountResult_possibleTypes = ['_ActorAggregateFieldCountResult']
module.exports.is_ActorAggregateFieldCountResult = function(obj) {
  if (!obj || !obj.__typename) throw new Error('__typename is missing in "is_ActorAggregateFieldCountResult"')
  return _ActorAggregateFieldCountResult_possibleTypes.includes(obj.__typename)
}



var _ActorAggregateFieldResult_possibleTypes = ['_ActorAggregateFieldResult']
module.exports.is_ActorAggregateFieldResult = function(obj) {
  if (!obj || !obj.__typename) throw new Error('__typename is missing in "is_ActorAggregateFieldResult"')
  return _ActorAggregateFieldResult_possibleTypes.includes(obj.__typename)
}



var _ActorAggregateHistogramFieldResult_possibleTypes = ['_ActorAggregateHistogramFieldResult']
module.exports.is_ActorAggregateHistogramFieldResult = function(obj) {
  if (!obj || !obj.__typename) throw new Error('__typename is missing in "is_ActorAggregateHistogramFieldResult"')
  return _ActorAggregateHistogramFieldResult_possibleTypes.includes(obj.__typename)
}



var _ActorEdge_possibleTypes = ['_ActorEdge']
module.exports.is_ActorEdge = function(obj) {
  if (!obj || !obj.__typename) throw new Error('__typename is missing in "is_ActorEdge"')
  return _ActorEdge_possibleTypes.includes(obj.__typename)
}



var _AggregateHistogramObjectType_possibleTypes = ['_AggregateHistogramObjectType']
module.exports.is_AggregateHistogramObjectType = function(obj) {
  if (!obj || !obj.__typename) throw new Error('__typename is missing in "is_AggregateHistogramObjectType"')
  return _AggregateHistogramObjectType_possibleTypes.includes(obj.__typename)
}



var _MovieAggregateEdge_possibleTypes = ['_MovieAggregateEdge']
module.exports.is_MovieAggregateEdge = function(obj) {
  if (!obj || !obj.__typename) throw new Error('__typename is missing in "is_MovieAggregateEdge"')
  return _MovieAggregateEdge_possibleTypes.includes(obj.__typename)
}



var _MovieAggregateFieldCountResult_possibleTypes = ['_MovieAggregateFieldCountResult']
module.exports.is_MovieAggregateFieldCountResult = function(obj) {
  if (!obj || !obj.__typename) throw new Error('__typename is missing in "is_MovieAggregateFieldCountResult"')
  return _MovieAggregateFieldCountResult_possibleTypes.includes(obj.__typename)
}



var _MovieAggregateFieldResult_possibleTypes = ['_MovieAggregateFieldResult']
module.exports.is_MovieAggregateFieldResult = function(obj) {
  if (!obj || !obj.__typename) throw new Error('__typename is missing in "is_MovieAggregateFieldResult"')
  return _MovieAggregateFieldResult_possibleTypes.includes(obj.__typename)
}



var _MovieAggregateHistogramFieldResult_possibleTypes = ['_MovieAggregateHistogramFieldResult']
module.exports.is_MovieAggregateHistogramFieldResult = function(obj) {
  if (!obj || !obj.__typename) throw new Error('__typename is missing in "is_MovieAggregateHistogramFieldResult"')
  return _MovieAggregateHistogramFieldResult_possibleTypes.includes(obj.__typename)
}



var _MovieEdge_possibleTypes = ['_MovieEdge']
module.exports.is_MovieEdge = function(obj) {
  if (!obj || !obj.__typename) throw new Error('__typename is missing in "is_MovieEdge"')
  return _MovieEdge_possibleTypes.includes(obj.__typename)
}
